## Analizo-1.21.0.tar.gz

=== t/samples/hello_world/java/Makefile ===
hello_world: Main.class HelloWorld.class
	@echo '#!/bin/sh' > $@
	@echo "java Main" >> $@
	@chmod +x $@

%.class: %.java
	javac $<

clean:
	rm -f *.class hello_world

=== t/samples/multidir/c/Makefile ===
%:
	$(MAKE) -C lib/ $@
	$(MAKE) -C src/ $@

all:

=== debian/changelog ===
analizo (1.20.8) unstable; urgency=medium

  * removing dependency for Method::Signatures
  * Env::Path is required at runtime #115 (thanks @rafamanzo @eserte)
  * auto generate META.json using dzil plugin [MetaJSON]  (thanks @manwar)
  * tests depends on File::Slurp #114
  * change markdown syntax to avoid error transforming doc in html

 -- Joenio Costa <joenio@joenio.me>  Fri, 23 Mar 2018 15:49:45 -0300

analizo (1.20.7) unstable; urgency=medium

  * Change development script to install CPAN modules without sudo
  * Fix tests to run under Perl located in different paths
  * Removed external dependency for `man`

 -- Joenio Costa <joenio@joenio.me>  Wed, 07 Feb 2018 23:19:16 -0200

analizo (1.20.6) unstable; urgency=medium

  * Added doxyparse as Debian dependency (hardcoded)
  * Added sloccount as Debian dependency (hardcoded)
  * Analizo visualization tools `dsm` and `evolution-matrix` are going to be
    removed from Analizo, the tools will be refactored or just removed
  * Removed external dependency for sqlite3
  * Removed external dependency for man

 -- Joenio Costa <joenio@joenio.me>  Tue, 06 Feb 2018 01:34:24 -0200

analizo (1.20.5) unstable; urgency=medium

  * Depends on doxyparse 1.8.14-4 provided by Alien::Doxyparse 0.06
  * Fix dependencies to run test suite on cpantesters
  * Fix travis-ci build

 -- Joenio Costa <joenio@joenio.me>  Sat, 03 Feb 2018 01:16:06 -0200

analizo (1.20.4) unstable; urgency=medium

  * Fix YAML duplicate key
  * Fix bin PATH for doxyparse and sloccount external tools
  * Fix missing dependencie for App::Cmd

 -- Joenio Costa <joenio@joenio.me>  Fri, 02 Feb 2018 12:36:58 -0200

analizo (1.20.3) unstable; urgency=medium

  * Test suite refactored (package namespace t::Analizo renamed to Test::Analizo)

 -- Joenio Costa <joenio@joenio.me>  Fri, 26 Jan 2018 01:21:26 -0200

analizo (1.20.2) unstable; urgency=medium

  * New dependencies: Alien::Doxyparse Alien::SLOCCount
  * Avoid warnings about YAML duplicate map key "inherits"

 -- Joenio Costa <joenio@joenio.me>  Sat, 06 Jan 2018 20:18:11 -0200

analizo (1.20.1) unstable; urgency=medium

  * Changelog based on "Keep a Changelog" project
  * Copyright holder name and email
  * Development documentation updated
  * Dist::Zilla::Deb `debuild` task to build Debian package
  * Declaring missing Debian dependencies

 -- Joenio Costa <joenio@joenio.me>  Tue, 02 Jan 2018 02:04:12 -0200

analizo (1.20.0) unstable; urgency=medium

  [ Igor Ribeiro Barbosa Duarte ] [ Izabela Cardoso ]
  * Added metrics documentation
  * Fixed docker setup to run tests on travis

  [ Joao Paulo Busche ]
  * Added support for C# (CSharp)

  [ Joao Paulo Ferreira ]
  * Removing metrics only used by CLANG

  [ Joenio Costa ]
  * Doxyparse YAML output
  * Migrate from ZeroMQ to ZMQ::FFI
  * Removed Rakefile
  * Depends on libzmq-ffi-perl
  * Analizo site moved to new repository

  [ Luan Guimarães ]
  * Removed CLANG Extractor
  * Fixed running of a single acceptance test
  * Added Dockerfile

  [ Matheus Miranda ]
  * Finished migration from Rake to Dist::Zilla

 -- Joenio Costa <joenio@joenio.me>  Thu, 28 Dec 2017 17:47:22 -0200

analizo (1.20.0~rc1) unstable; urgency=medium

  * Release Candidate RC1
  * Documenting source code metrics
  * More automated tests
  * Dockerfile
  * Travis continuous testing
  * Removing CLANG
  * Doxyparse extractor uses YAML
  * Migrate from ZeroMQ to ZMQ::FFI
  * Using YAML instead of YAML::Tiny
  * Depends on doxyparse 1.8.14
  * Fixing running of a single acceptance test
  * Fixing development-setup.sh
  * Standardizing the name of test files

 -- Joenio Costa <joenio@joenio.me>  Fri, 07 Jul 2017 04:31:07 -0300

analizo (1.19.1) unstable; urgency=medium

  * fix bug on CBO metric

 -- Joenio Costa <joenio@joenio.me>  Thu, 01 Sep 2016 14:44:16 -0300

analizo (1.19.0) unstable; urgency=low

  * Depend on doxyparse >= 1.8.11 to compute Abstract Class (issue #6)

 -- Joenio Costa <joenio@colivre.coop.br>  Thu, 18 Feb 2016 11:25:21 -0200

analizo (1.18.1) unstable; urgency=medium

  * Removing ClangStaticAnalyzer extractor as default

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Tue, 10 Mar 2015 15:43:39 -0300

analizo (1.18.0) unstable; urgency=low

  [ Alexandre Barbosa ] [ Lucas Kanashiro ]

  * New release
  * Removing dependency cucumber in faver of Test::BDD:Cucumber
  * Adding new extractor for security metrics:
    + 21 new security metrics
  * Adding new dependencies:
    + gcc
    + clang

 -- Alexandre <alexandreab@live.com>  Fri, 25 Apr 2014 20:12:31 +0000

analizo (1.17.0) unstable; urgency=low

  [ Antonio Terceiro ]
  * Depend on doxyparse >= 1.5.8-12~ for module-to-filename mapping support

  [ Joenio Costa ]
  * Removing dependency libclass-accessor-fast-perl in favor of libclass-accessor-perl
  * sqlite3 is required for building/release process

 -- Joenio Costa <joenio@colivre.coop.br>  Thu, 31 Jan 2013 13:52:08 +0000

analizo (1.16.0) unstable; urgency=low

  * New release

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Wed, 01 Jun 2011 10:59:37 -0700

analizo (1.15.0) unstable; urgency=low

  * New upstream release
  * Changing The package into a native one
  * debian/control:
    + removed dependency on libgetopt-euclid-perl
    + depend on debhelper > 7.0.50~ to use override_dh_* feature
  * Removed first changelog entry. It was an unreleased version, anyway.
  * debian/rules: fix wrong manpage sections generated by MakeMaker

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Mon, 20 Dec 2010 21:50:50 -0300

analizo (1.14.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: new dependency

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Tue, 13 Apr 2010 15:12:04 -0300

analizo (1.13.0-2) unstable; urgency=low

  * Add missing dependency: libstatistics-descriptive-perl

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Thu, 08 Apr 2010 15:33:48 -0300

analizo (1.13.0-1) unstable; urgency=low

  * New upstream relase


=== debian/control ===
Source: analizo
Section: devel
Priority: optional
Maintainer: Joenio Marques da Costa <joenio@joenio.me>
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: libfile-share-perl,
 libterm-ui-perl,
 libfile-sharedir-perl,
 liblist-moreutils-perl,
 libgit-wrapper-perl,
 libfile-slurp-perl,
 libarchive-extract-perl,
 libtest-class-perl,
 libtest-exception-perl,
 libtest-mockmodule-perl,
 libtest-bdd-cucumber-perl,
 libtest-mockobject-perl,
 libfile-libmagic-perl
Standards-Version: 4.1.2
Homepage: http://analizo.org

Package: analizo
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libapp-cmd-perl,
 libclass-inspector-perl,
 libclass-accessor-perl,
 libdbi-perl,
 libyaml-libyaml-perl,
 libfindbin-libs-perl,
 libyaml-perl,
 libapp-cmd-perl,
 libzmq-ffi-perl,
 libterm-progressbar-perl,
 libgraph-perl,
 libfile-homedir-perl,
 libjson-perl,
 libenv-path-perl,
 liblist-compare-perl,
 libstatistics-descriptive-perl,
 libmojolicious-perl,
 libdbd-sqlite3-perl,
 libchi-perl,
 libfile-copy-recursive-perl,
 libgraph-writer-dsm-perl,
 doxyparse,
 sloccount
Recommends: graphviz, man
Description: multi-language source code analysis toolkit
 Analizo parses source code in multiple languages and report useful information
 about it, such as module dependency, source code metrics and more.
 .
 Analizo uses doxyparse to parse the source code, and is currently tested and
 expected to work well with C, C++, Java and C# source code.
